Bug 6989 - [UPDATE REQUEST] bup 0.26-> 0.27
: [UPDATE REQUEST] bup 0.26-> 0.27
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-26 19:53 MSD by Andrey Bondrov
Modified: 2016-06-07 13:51 MSD (History)
1 user (show)

See Also:
RPM Package: bup
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (122.36 KB, image/png)
2016-04-29 11:33 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-04-26 19:53:28 MSD
New version of bup was released. And we should also package KF5-based version of kup as plasma5-kup.
Comment 1 Andrey Bondrov 2016-04-26 20:04:43 MSD
1. bup

Advisory: "Update bup to new version 0.27"

https://abf.rosalinux.ru/build_lists/2636285
https://abf.rosalinux.ru/build_lists/2636286

2. plasma5-kup

Advisory: "Package KF5-based version of kup to use with Plasma 5 desktop. This package should be added to Plasma 5 ISOs."

https://abf.rosalinux.ru/build_lists/2636291
https://abf.rosalinux.ru/build_lists/2636292

P.S. Please also test if KDE4-based version of kup works with bup 0.27.
Comment 2 Vladimir Potapov 2016-04-29 11:33:39 MSD
Created attachment 4450 [details]
ss

Апплет управления резервными копиями должен относиться к администрированию, а не к "Предпочтения пользователя"
Comment 3 Vladimir Potapov 2016-04-29 11:38:05 MSD
По-умолчанию не создается путь ~/.bup и для создания локальных копий его нужно создавать вручную, что очень неинтуитивно. Как-то это нужно обойти, тем более что kup у нас в  образе (в /etc/skel добавить?)
Comment 4 Andrey Bondrov 2016-04-29 15:35:17 MSD
Это в коде bup надо будет поправить, обходные пути (типа skel) создавать не надо.
Comment 5 Andrey Bondrov 2016-05-18 14:21:52 MSD
1. bup

Advisory: "Update bup to new version 0.27. Patch it to create a working directory for bup on start."

https://abf.rosalinux.ru/build_lists/2674185
https://abf.rosalinux.ru/build_lists/2674186

2. plasma5-kup

Advisory: "Package KF5-based version of kup to use with Plasma 5 desktop. This package should be added to Plasma 5 ISOs."

https://abf.rosalinux.ru/build_lists/2636291
https://abf.rosalinux.ru/build_lists/2636292

P.S. Please also test if KDE4-based version of kup works with bup 0.27.
Comment 6 Vladimir Potapov 2016-05-18 16:04:58 MSD
Так не получается. kup видит, что папки .bup нету и просто не запускает bup, соответственно она и не создается.
Comment 7 Vladimir Potapov 2016-05-24 13:50:59 MSD
(In reply to comment #6)
> Так не получается. kup видит, что папки .bup нету и просто не запускает bup,
> соответственно она и не создается.
Заработало.
Comment 8 Vladimir Potapov 2016-05-24 13:52:17 MSD
The update is sent to expanded testing
***************************************
Comment 9 Vladimir Potapov 2016-06-07 08:41:01 MSD
bup-0.27-2
https://abf.rosalinux.ru/build_lists/2674185
https://abf.rosalinux.ru/build_lists/2674186
************************* Advisory *****************************
Update bup to new version 0.27. Patch it to create a working directory for bup on start.
****************************************************************
QA Verified